<?php

namespace Itdatex\EInvoiceCore\Vendor\horstoeko\zugferd\entities\en16931\ram;

/**
 * Class representing TradePaymentTermsType
 *
 * XSD Type: TradePaymentTermsType
 */
class TradePaymentTermsType
{

    /**
     * @var string $description
     */
    private $description = null;

    /**
     * @var \Itdatex\EInvoiceCore\Vendor\horstoeko\zugferd\entities\en16931\udt\DateTimeType $dueDateDateTime
     */
    private $dueDateDateTime = null;

    /**
     * @var \Itdatex\EInvoiceCore\Vendor\horstoeko\zugferd\entities\en16931\udt\IDType $directDebitMandateID
     */
    private $directDebitMandateID = null;

    /**
     * Gets as description
     *
     * @return string
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Sets a new description
     *
     * @param  string $description
     * @return self
     */
    public function setDescription($description)
    {
        $this->description = $description;
        return $this;
    }

    /**
     * Gets as dueDateDateTime
     *
     * @return \Itdatex\EInvoiceCore\Vendor\horstoeko\zugferd\entities\en16931\udt\DateTimeType
     */
    public function getDueDateDateTime()
    {
        return $this->dueDateDateTime;
    }

    /**
     * Sets a new dueDateDateTime
     *
     * @param  \Itdatex\EInvoiceCore\Vendor\horstoeko\zugferd\entities\en16931\udt\DateTimeType $dueDateDateTime
     * @return self
     */
    public function setDueDateDateTime(?\Itdatex\EInvoiceCore\Vendor\horstoeko\zugferd\entities\en16931\udt\DateTimeType $dueDateDateTime = null)
    {
        $this->dueDateDateTime = $dueDateDateTime;
        return $this;
    }

    /**
     * Gets as directDebitMandateID
     *
     * @return \Itdatex\EInvoiceCore\Vendor\horstoeko\zugferd\entities\en16931\udt\IDType
     */
    public function getDirectDebitMandateID()
    {
        return $this->directDebitMandateID;
    }

    /**
     * Sets a new directDebitMandateID
     *
     * @param  \Itdatex\EInvoiceCore\Vendor\horstoeko\zugferd\entities\en16931\udt\IDType $directDebitMandateID
     * @return self
     */
    public function setDirectDebitMandateID(?\Itdatex\EInvoiceCore\Vendor\horstoeko\zugferd\entities\en16931\udt\IDType $directDebitMandateID = null)
    {
        $this->directDebitMandateID = $directDebitMandateID;
        return $this;
    }
}
